[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Packaging MATE for Debian

Il 03/12/2012 19:46, Josselin Mouette ha scritto:
Le lundi 03 décembre 2012 à 02:06 +0100, Adam Borowski a écrit :
You can use the upstream packaging, available at:
deb http://packages.mate-desktop.org/repo/debian wheezy main

I see this still includes all s/gnome/mate/ libraries from GNOME 2,
while their counterparts are still here in Debian at a GNOME 2.x

That repository contains the current stable MATE. The repository with develpment MATE packages, without "obsolete" libraries, is
deb http://dev.mate-desktop.org/debian wheezy main
Our github repo with debian folders, in master branch, is without removed packages too.

I sincerely hope the FTP masters will reject this kind of stuff.
Feel free to take over maintenance of anything in pkg-gnome/attic
instead; it would be much more useful to share the maintenance effort
with other applications using those legacy libraries.

As I already said you many times, MATE no longer uses these "obsolete" and "duplicated" libraries.

And, maybe you dont know, but we are already working with GNOME developers to share efforts with them. Just some examples: with yelp developer, to use yelp as documentation viewer and yelp tools to build documentation; with evince developers to share libriaries and have only separated UI. And we are working with GNOME to keep alive software no longer maintained too [1].

[1] https://mail.gnome.org/archives/desktop-devel-list/2012-November/msg00201.html

Reply to: